Bug 1003942 - impl_qpid changes to allow use of qpid federation
impl_qpid changes to allow use of qpid federation
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer (Show other bugs)
3.0
Unspecified Unspecified
high Severity medium
: async
: 3.0
Assigned To: RHOS Maint
Ami Jeain
: ZStream
Depends On: 1003937 1003946 1003951
Blocks: 1003938
  Show dependency treegraph
 
Reported: 2013-09-03 10:37 EDT by Russell Bryant
Modified: 2016-04-26 18:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1003937
Environment:
Last Closed: 2013-11-21 09:32:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1178375 None None None Never

  None (edit)
Description Russell Bryant 2013-09-03 10:37:25 EDT
+++ This bug was initially created as a clone of Bug #1003937 +++

A patch was recently merged upstream to the impl_qpid rpc driver to allow the use of qpid federation.  It also completes the fix for leaking qpid exchanges.  Lastly, it includes a couple of additional options to allow durable and auto-delete for queues to be configurable.  Pulling in these options make for a cleaner backport.

The commits from oslo-incubator are:

76972e2 Support a new qpid topology
5ff534d Add config for amqp durable/auto_delete queues


These changes should be backported for RHOS 3.0.z.

Note You need to log in before you can comment on or make changes to this bug.